BOS_GETLOG(8)

NAME
bos_getlog - Prints a server process's log file

SYNOPSIS
bos getlog -server <machine name> -file <log file to examine>
    [-cell <cell name>] [-noauth] [-localauth] [-help]

bos getl -s <machine name> -f <log file to examine>
    [-c <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos getlog command displays on the standard output stream the specified log file from the machine named by the -server argument. The BOS Server fetches the log file from the /var/log/openafs directory unless an alternate pathname is provided as part of the -file argument.

CAUTIONS
Log files can grow quite large, especially for the database server processes. To keep them to a manageable size, periodically either use the UNIX rm command to truncate each log file, or use the bos restart command to restart each process.

It can take up to five minutes after the file is removed or process restarted for the space occupied by a log file to become available.

OPTIONS

-server <machine name>
    Indicates the server machine from which to retrieve the log file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-file <log file to examine>
    Names the log file to display. If a filename only is provided, the BOS Server fetches the log file from the /var/log/openafs directory; the standard values are:

    AuthLog
        The Authentication Server (kaserver) log file.

    BackupLog
        The Backup Server (buserver) log file.

    BosLog
        The BOS Server (bosserver) log file.

    FileLog
        The File Server (fileserver) log file.

    PtLog
        The Protection Server (ptserver) log file.

    SalvageLog
        The Salvager (salvager) log file.

    VLLog
        The Volume Location (VL) Server (vlserver) log file.

    VolserLog
        The Volume Server (volserver) log file.

    If a pathname and filename are provided, the log file is retrieved from the indicated directory. Partial pathnames are interpreted relative to the /var/log/openafs directory.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output is preceded by the line

   Fetching log file '<filename>'...

The remainder of the output depends on the particular log file.

EXAMPLES
The following example displays the FileLog file from the machine "fs3.example.com":

   % bos getlog -server fs3.example.com -file FileLog
   Fetching log file 'FileLog'...
   Sun Nov 8 04:00:34 1998 File server starting
   Sun Nov 8 04:00:39 1998 Partition /vicepa:  attached 21 volumes;
                           0 volumes not attached
   Sun Nov 8 04:00:40 1998 File Server started Sun Nov 8 04:00:40
                           1998
   Mon Nov 9 21:45:06 1998 CB: RCallBack (zero fid probe in host.c)
                           failed for host 28cf37c0.22811

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

When a server is in restricted mode, bos getlog -file may only specify files from the logs directory.

SEE ALSO
bos(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.